/// <reference types="react" />
import { SectionBox, IProps } from ".";
declare const _default: {
    title: string;
    component: typeof SectionBox;
    args: {
        title: string;
        children: JSX.Element;
    };
};
export default _default;
export declare const Default: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const WithDescription: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const WithNewItemLink: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const WithIconButtons: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const WithSelection: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const WithDeleteAction: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const WithDeleteActionInProgress: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const WithDeleteActionAndIconButtons: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const WithBackLink: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const IsLoading: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const HeadLess: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const SideText: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
export declare const EveryThing: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps>;
